Skip to main content
GET
/
connectors
/
jobs
/
{id}
Get the connector job status
import requests

url = "https://{FUSION HOST}/api/connectors/jobs/{id}"

response = requests.get(url)

print(response.text)
HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/connectors/jobs/{id}")
.asString();
const options = {method: 'GET'};

fetch('https://{FUSION HOST}/api/connectors/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/connectors/jobs/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/connectors/jobs/{id}"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/connectors/jobs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request GET \
--url https://{FUSION HOST}/api/connectors/jobs/{id}
{
  "resource": "datasource:pokedex-crawl",
  "runId": "R5p478JMgc",
  "startTime": 1722638217052,
  "state": "SUCCESS",
  "time": 1722638666393,
  "error": null,
  "extra": {
    "connectorType": "lucidworks.file-upload",
    "timers": {
      "fetch.item.add.time": {
        "meanRate": 2.022156640111129,
        "count": "901"
      }
    },
    "counters": {
      "fetch.plugin-response": {
        "count": 1
      },
      "fetch.plugin-response.document": {
        "count": 900
      },
      "content-indexer.completed.count": {
        "count": 900
      },
      "pipeline.stages.solr-index::180977ab-c1ef-4b31-be25-9fee41476ece.processed": {
        "count": 900
      },
      "start.plugin-response": {
        "count": 1
      },
      "content-indexer.result.success.counter": {
        "count": 900
      },
      "pipeline.out": {
        "count": 900
      },
      "pipeline.in": {
        "count": 900
      },
      "pipeline.stages.field-mapping::21cd50b7-f391-45f9-b936-5ab30c60c8d5.processed": {
        "count": 900
      },
      "pipeline.stages.solr-dynamic-field-name-mapping::ff72fc68-3576-4315-814c-65a63fc72780.processed": {
        "count": 900
      },
      "pipeline.complete": {
        "count": 900
      },
      "content-indexer.document.received.count": {
        "count": 900
      },
      "stop.request": {
        "count": 1
      },
      "stop.plugin-response": {
        "count": 1
      },
      "start.request": {
        "count": 1
      },
      "fetch.request": {
        "count": 1
      }
    },
    "configId": "pokedex-crawl",
    "currentBlockId": "2pd3ahxmh7",
    "startTime": 1722638217052,
    "id": "R5p478JMgc",
    "state": "FINISHED",
    "previousBlockId": "2pd3ahxmh7",
    "endTime": 1722638224964,
    "blockStartTime": 1722638216976
  }
}

Path Parameters

id
string
required

The datasource ID.

Response

200 - application/json

OK

extra
object
required

Additional details about the job run.

Example:
{
"extra": {
"counter.other.pipeline.in": 900,
"counter.new": 898,
"counter.output": 898,
"counter.other.pipeline.complete": 900,
"datasourceId": "pokemon_zip-api-test-app",
"counter.input": 898,
"startTime": 1722554920412,
"counter.stage.field-mapping::3b262367-a1ad-4872-986b-f7c01ac18580.processed": 898,
"endTime": 1722554921383,
"counter.stage.solr-dynamic-field-name-mapping::eac75719-84c4-4101-b605-bf386ce90790.processed": 898,
"counter.other.pipeline.out": 900,
"counter.stage.solr-index::f2b6427a-0560-478d-a722-1037831f83fe.processed": 898
}
}
resource
string
Example:

"datasource:pokemon_zip-api-test-app"

runId
string
Example:

"KtqiNJnAXN"

startTime
integer<int64>
Example:

1722554920412

state
enum<string>
Available options:
READY,
RUNNING,
PAUSED,
ABORTED,
FAILED,
SUCCESS
Example:

"SUCCESS"

time
integer<int64>
Example:

1722560849072

error
object | null
Example:

null